#ifndef _GRAPHICS_LINE_MODULE
#define _GRAPHICS_LINE_MODULE

#include "simpleLineModule.h"
#include "ofMain.h"
#include "ofVec3f.h"
#include "timeStroke.h"

#include "graphicsModuleBase.h"

class graphicsLineModule : public simpleLineModule {
	
	public:
		
		graphicsLineModule();
		
		void 		setup();
		void 		update();
		void 		reset();
		void 		draw(float offsetx, float offsety);
		bool 		bAmIDone();
		
		bool 		bHaveNewPoint();
		ofVec3f 	getNewPoint();
		
		bool 		bNeedToDrawOffscreen() { return true; };
		void		drawOffscreen();
		
		graphicsModuleBase	* module;		// must be allocated!!
	
	
};

#endif	